﻿@model VietHoang.Feature.Metadata.Models.IMetadata
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<title>@Model.PageTitle</title>
<meta name="description" content="@Model.PageDescription">
<meta name="keywords" content="@Model.PageKeywords">
<meta property="og:type" content="@Model.MetaType" />
<meta property="og:title" content="@Model.MetaTitle" />
<meta property="og:description" content="@Model.MetaDescription" />
@if (Model.MetaImage != null)
{
    <meta property="og:image" content="@Model.MetaImage.Src" />
}
<meta property="og:url" content="@Model.Url" />
<meta property="og:image:width" content="640" />
<meta property="og:image:height" content="442" />
<meta name="twitter:card" content="@Model.MetaCard" />
<meta name="twitter:title" content="@Model.MetaTitle" />
<meta name="twitter:description" content="@Model.MetaDescription" />
@if (Model.MetaImage != null)
{
    <meta name="twitter:image" content="@Model.MetaImage.Src" />
}
<meta name="twitter:url" content="@Model.Url" />
<meta name="robots" content="@(Model.CanIndex ? "index" : "noindex") @(Model.SeoFollowLinks ? "follow" : "nofollow")" />
